{
  "easycom": {
    "autoscan": true,
    "custom": {
      "^s-(.*)": "@/sheep/components/s-$1/s-$1.vue",
      "^su-(.*)": "@/sheep/ui/su-$1/su-$1.vue"
    }
  },
  "pages": [
    {
      "path": "pages/index/index",
      "aliasPath": "/",
      "style": {
        "navigationBarTitleText": "Home",
        "enablePullDownRefresh": true
      },
      "meta": {
        "auth": false,
        "sync": true,
        "title": "Home",
        "group": "Shop"
      }
    },
    {
      "path": "pages/index/user",
      "style": {
        "navigationBarTitleText": "User center",
        "enablePullDownRefresh": true
      },
      "meta": {
        "sync": true,
        "title": "User center",
        "group": "Shop"
      }
    },
    {
      "path": "pages/index/category",
      "style": {
        "navigationBarTitleText": "Category"
      },
      "meta": {
        "sync": true,
        "title": "Category",
        "group": "Shop"
      }
    },
    {
      "path": "pages/index/cart",
      "style": {
        "navigationBarTitleText": "Cart"
      },
      "meta": {
        "sync": true,
        "title": "Cart",
        "group": "Shop"
      }
    },
    {
      "path": "pages/index/finance",
      "style": {
        "navigationBarTitleText": "Finance"
      }
    },
	{
	  "path": "pages/index/cash-back-list",
	  "style": {
	    "navigationBarTitleText": "CashBack"
	  }
	},
    {
      "path": "pages/index/login",
      "style": {
        "navigationBarTitleText": "Login"
      }
    },
    {
      "path": "pages/index/search",
      "style": {
        "navigationBarTitleText": "Search"
      },
      "meta": {
        "sync": true,
        "title": "Search",
        "group": "Shop"
      }
    },
    {
      "path": "pages/index/page",
      "style": {
        "navigationBarTitleText": ""
      },
      "meta": {
        "auth": false,
        "sync": true,
        "title": "Custom page",
        "group": "Shop"
      }
    }
  ],
  "subPackages": [
    {
      "root": "pages/goods",
      "pages": [
        {
          "path": "index",
          "style": {
            "navigationBarTitleText": "Goods detail"
          },
          "meta": {
            "sync": true,
            "title": "Ordinary goods",
            "group": "Goods"
          }
        },
        {
          "path": "groupon",
          "style": {
            "navigationBarTitleText": "Group goods"
          },
          "meta": {
            "sync": true,
            "title": "Group goods",
            "group": "Goods"
          }
        },

        {
          "path": "seckill",
          "style": {
            "navigationBarTitleText": "Seckill goods"
          },
          "meta": {
            "sync": true,
            "title": "Seckill goods",
            "group": "Goods"
          }
        },

        {
          "path": "score",
          "style": {
            "navigationBarTitleText": "Point goods"
          },
          "meta": {
            "sync": true,
            "title": "Point goods",
            "group": "Goods"
          }
        },
        {
          "path": "list",
          "style": {
            "navigationBarTitleText": "Goods list"
          },
          "meta": {
            "sync": true,
            "title": "Goods list",
            "group": "Goods"
          }
        },
        {
          "path": "comment/add",
          "style": {
            "navigationBarTitleText": "Comment goods"
          },
          "meta": {
            "auth": true
          }
        },
        {
          "path": "comment/list",
          "style": {
            "navigationBarTitleText": "Goods comments"
          }
        }
      ]
    },
    {
      "root": "pages/order",
      "pages": [
        {
          "path": "detail",
          "style": {
            "navigationBarTitleText": "Order detail"
          },
          "meta": {
            "auth": true,
            "title": "Order detail"
          }
        },
        {
          "path": "confirm",
          "style": {
            "navigationBarTitleText": "Confirm order"
          },
          "meta": {
            "auth": true,
            "title": "Confirm order"
          }
        },
        {
          "path": "list",
          "style": {
            "navigationBarTitleText": "My order",
            "enablePullDownRefresh": true
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "User order",
            "group": "Order center"
          }
        },
        {
          "path": "invoice",
          "style": {
            "navigationBarTitleText": "Invoice detail"
          },
          "meta": {
            "auth": true,
            "title": "INvoice detail"
          }
        },
        {
          "path": "dispatch/content",
          "style": {
            "navigationBarTitleText": "Delivery content"
          },
          "meta": {
            "auth": true,
            "title": "Delivery content"
          }
        },
        {
          "path": "aftersale/apply",
          "style": {
            "navigationBarTitleText": "Aftersale"
          },
          "meta": {
            "auth": true,
            "title": "Aftersale"
          }
        },
        {
          "path": "aftersale/list",
          "style": {
            "navigationBarTitleText": "Aftersale list"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Aftersale orders",
            "group": "Order center"
          }
        },
        {
          "path": "aftersale/detail",
          "style": {
            "navigationBarTitleText": "Aftersale detail"
          },
          "meta": {
            "auth": true,
            "title": "Aftersale detail"
          }
        },
        {
          "path": "aftersale/log",
          "style": {
            "navigationBarTitleText": "Aftersale progress"
          },
          "meta": {
            "auth": true,
            "title": "Aftersale progress"
          }
        },
        {
          "path": "express/log",
          "style": {
            "navigationBarTitleText": "Logistics trajectory"
          },
          "meta": {
            "auth": true,
            "title": "Logistics trajectory"
          }
        },
        {
          "path": "express/list",
          "style": {
            "navigationBarTitleText": "Order package"
          },
          "meta": {
            "auth": true,
            "title": "Order package"
          }
        }
      ]
    },
    {
      "root": "pages/user",
      "pages": [
        {
          "path": "info",
          "style": {
            "navigationBarTitleText": "My info"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "User info",
            "group": "User center"
          }
        },
        {
          "path": "goods-collect",
          "style": {
            "navigationBarTitleText": "My collection"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Goods collection",
            "group": "User center"
          }
        },
        {
          "path": "goods-log",
          "style": {
            "navigationBarTitleText": "My history"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Views history",
            "group": "User center"
          }
        },
        {
          "path": "address/list",
          "style": {
            "navigationBarTitleText": "Shipping address"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Manage address",
            "group": "User center"
          }
        },
        {
          "path": "address/edit",
          "style": {
            "navigationBarTitleText": "Edit address"
          },
          "meta": {
            "auth": true,
            "title": "Edit address"
          }
        },
        {
          "path": "invoice/list",
          "style": {
            "navigationBarTitleText": "Invoice manage"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Invoice manage",
            "group": "User center"
          }
        },
        {
          "path": "invoice/edit",
          "style": {
            "navigationBarTitleText": "Invoice edit"
          },
          "meta": {
            "auth": true,
            "title": "Invoice edit"
          }
        },
        {
          "path": "wallet/money",
          "style": {
            "navigationBarTitleText": "My balance"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "User balance",
            "group": "User center"
          }
        },
        {
          "path": "wallet/commission",
          "style": {
            "navigationBarTitleText": "My commission"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "User commission",
            "group": "Distribution center" 
          }
        },
        {
          "path": "wallet/score",
          "style": {
            "navigationBarTitleText": "My points"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "User points",
            "group": "User center"
          }
        }
      ]
    },
    {
      "root": "pages/commission",
      "pages": [
        {
          "path": "index",
          "style": {
            "navigationBarTitleText": "Distribution"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Distribution center" ,
            "group": "Distribution shop"
          }
        },
        {
          "path": "apply",
          "style": {
            "navigationBarTitleText": "Apply for distributor"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Apply for distributor",
            "group": "Distributor shop"
          }
        },
        {
          "path": "goods",
          "style": {
            "navigationBarTitleText": "Promote productsr"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Promote productsr",
            "group": "Distributor shop"
          }
        },
        {
          "path": "order",
          "style": {
            "navigationBarTitleText": "Distributor orders"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Distributor orders",
            "group": "Distributor shop"
          }
        },
        {
          "path": "share-log",
          "style": {
            "navigationBarTitleText": "Share log"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Share log",
            "group": "Distributor shop"
          }
        },
        {
          "path": "team",
          "style": {
            "navigationBarTitleText": "My team"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "My team",
            "group": "Distributor shop"
          }
        }
      ]
    },
    {
      "root": "pages/app",
      "pages": [
        {
          "path": "sign",
          "style": {
            "navigationBarTitleText": "Check-in center"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Check-in center",
            "group": "Application"
          }
        },
        {
          "path": "score-shop",
          "style": {
            "navigationBarTitleText": "Point shop"
          },
          "meta": {
            "auth": false,
            "sync": true,
            "title": "Point shop",
            "group": "Application"
          }
        }
      ]
    },
    {
      "root": "pages/public",
      "pages": [
        {
          "path": "setting",
          "style": {
            "navigationBarTitleText": "Setting"
          },
          "meta": {
            "sync": true,
            "title": "Setting",
            "group": "Universal"
          }
        },
        {
          "path": "feedback",
          "style": {
            "navigationBarTitleText": "Feedback"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Feedback",
            "group": "Universal"
          }
        },
        {
          "path": "richtext",
          "style": {
            "navigationBarTitleText": "Richtext"
          },
          "meta": {
            "sync": true,
            "title": "Richtext",
            "group": "Universal"
          }
        },
        {
          "path": "faq",
          "style": {
            "navigationBarTitleText": "Common problem"
          },
          "meta": {
            "sync": true,
            "title": "Common problem",
            "group": "Universal"
          }
        },
        {
          "path": "error",
          "style": {
            "navigationBarTitleText": "Error page"
          }
        },
        {
          "path": "webview",
          "style": {
            "navigationBarTitleText": ""
          }
        }
      ]
    },
    {
      "root": "pages/coupon",
      "pages": [
        {
          "path": "list",
          "style": {
            "navigationBarTitleText": "Voucher Center"
          },
          "meta": {
            "sync": true,
            "title": "Voucher Center",
            "group": "Coupon"
          }
        },
        {
          "path": "detail",
          "style": {
            "navigationBarTitleText": "Coupon"
          },
          "meta": {
            "auth": false,
            "sync": true,
            "title": "Coupon detail",
            "group": "Coupon"
          }
        }
      ]
    },
    {
      "root": "pages/chat",
      "pages": [
        {
          "path": "index",
          "style": {
            "navigationBarTitleText": "Service"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Service",
            "group": "Service"
          }
        }
      ]
    },
    {
      "root": "pages/pay",
      "pages": [
        {
          "path": "index",
          "style": {
            "navigationBarTitleText": "Checkout counter"
          }
        },
        {
          "path": "result",
          "style": {
            "navigationBarTitleText": "Pay result"
          }
        },
        {
          "path": "recharge",
          "style": {
            "navigationBarTitleText": "Recharge balance"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Recharge balance",
            "group": "Pay"
          }
        },
        {
          "path": "recharge-log",
          "style": {
            "navigationBarTitleText": "Recharge log"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Recharge log",
            "group": "Pay"
          }
        },
        {
          "path": "withdraw",
          "style": {
            "navigationBarTitleText": "Withdraw"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Withdraw",
            "group": "Pay"
          }
        },
        {
          "path": "withdraw-log",
          "style": {
            "navigationBarTitleText": "Withdraw log"
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Withdraw log",
            "group": "Pay"
          }
        }
      ]
    },
    {
      "root": "pages/activity",
      "pages": [
        {
          "path": "groupon/detail",
          "style": {
            "navigationBarTitleText": "Group detail"
          }
        },
        {
          "path": "groupon/order",
          "style": {
            "navigationBarTitleText": "My group",
            "enablePullDownRefresh": true
          },
          "meta": {
            "auth": true,
            "sync": true,
            "title": "Group orders",
            "group": "Marketing activities"
          }
        },
        {
          "path": "index",
          "style": {
            "navigationBarTitleText": "Marketing goods"
          },
          "meta": {
            "sync": true,
            "title": "Marketing goods",
            "group": "Marketing activities"
          }
        },
        {
          "path": "groupon/list",
          "style": {
            "navigationBarTitleText": "Group activities"
          },
          "meta": {
            "sync": true,
            "title": "Group activities",
            "group": "Marketing activities"
          }
        },
        {
          "path": "seckill/list",
          "style": {
            "navigationBarTitleText": "Seckill activities"
          },
          "meta": {
            "sync": true,
            "title": "Seckill activities",
            "group": "Marketing activities"
          }
        }
      ]
    }
  ],
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "Xingpingou",
    "navigationBarBackgroundColor": "#FFFFFF",
    "backgroundColor": "#FFFFFF",
    "navigationStyle": "custom"
  },
  "tabBar": {
    "list": [
      {
        "pagePath": "pages/index/index"
      },
      {
        "pagePath": "pages/index/cart"
      },
      {
        "pagePath": "pages/index/finance"
      },
      {
        "pagePath": "pages/index/user"
      }
    ]
  }
}
